Bug 443684 - PackageKit progress windows
PackageKit progress windows
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 16:39 EDT by Michael Monreal
Modified: 2010-07-05 06:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 04:43:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshots (70.27 KB, image/png)
2008-04-22 16:40 EDT, Michael Monreal
no flags Details
Screenshot: getting updates (3.54 KB, image/png)
2008-04-22 18:25 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2008-04-22 16:39:00 EDT
PackgeKit has various progress dialogs, but all of them have a few issues:

1.) use of non-fitting icons:
Take the cache refresh window for example. It shows a package icon with a glob
as an emblem. What does this have to do with refresh? IMHO the window would
benefit from not having any icon at this place and instead having a longer
progress bar.

2.) use of non-fitting window title:
When you update packages the window says "updating packages". Sure it's doing
this, but why not reflect the real current action?

3.) complicated labels:
the windows talk of "part progress" and "task progress". Well... personally I
find it hard to tell task and part apart from each other. 
Also, is "downloading packages" a task, or is every package download a task?
This is not clear from seeing the UI. It's also not clear that parts describe
each download's progress, as there is a "Downloading      <Packagename" label
below that.

4.) generally, two progress bars in one window are ugly and complicate things.
If you just see one bar, you know what to expect, if you see two, you have to
read the whole dialog to see what each one is for.
Comment 1 Michael Monreal 2008-04-22 16:40:28 EDT
Created attachment 303376 [details]
Screenshots
Comment 2 Michael Monreal 2008-04-22 17:35:45 EDT
So here some concrete suggestions:


-----------------------------------------------------------
[ ]                Refreshing Package Cache             [x]
-----------------------------------------------------------

   Refreshing 2 of 4 sources...

   [==============_____________________________________]


                                     [ Cancel ] [ Close ]

-----------------------------------------------------------

-> Uppercase dialog title (HIG)
-> No useless icon
-> Only one larger progress bar
                                       
Comment 3 Michael Monreal 2008-04-22 17:45:42 EDT
-----------------------------------------------------------
[ ]                  Downloading Packages               [x]
-----------------------------------------------------------

   Downloading 1 of 5 packages...

   [==============_____________________________________]


   > Details

                                    [ Cancel ] [ Close ]

-----------------------------------------------------------


-----------------------------------------------------------
[ ]                  Downloading Packages               [x]
-----------------------------------------------------------

   Downloading 1 of 5 packages...

   [==============_____________________________________]


   \/ Details

   Mozilla Firefox 3.0b5-2 (7.1 MiB)

   [=============================______________________]


                                    [ Cancel ] [ Close ]

-----------------------------------------------------------

-> Uppercase dialog title (HIG)
-> No useless icon
-> Only one larger progress bar for the total progress...
-> ...as well as a "Details" expander with current download (see PackageKit!)
-> Show the number of packages which are downloaded in total and the current nr
-> Show the size of the currently downloading package
Comment 4 Michael Monreal 2008-04-22 17:48:54 EDT
and...

-----------------------------------------------------------
[ ]                  Installing Packages                [x]
-----------------------------------------------------------

   Installing 1 of 5 packages...

   [==============_____________________________________]


   \/ Details

   Mozilla Firefox 3.0b5-2 (7.1 MiB)

   [=============================______________________]


                                    [ Cancel ] [ Close ]

-----------------------------------------------------------

=> after download is done, change labels to "installing"
=> keep expander state
Comment 5 Michael Monreal 2008-04-22 18:25:31 EDT
Created attachment 303392 [details]
Screenshot: getting updates

This is what I just got when I rebooted, the dialog which starts automatically,
searching for package updates. Uhm... "Getting updates"? How come this is
different from "Refreshing package cache" as shown above?

The PackageKit UI is really starting to confuse me... there seem to be like
three different sets of dialogs, depending of how you start an update. Is there
a complete page with screenshots of all dialogs somewhere?
Comment 6 Richard Hughes 2008-05-06 13:07:37 EDT
>4.) generally, two progress bars in one window are ugly

Removed in master.
Comment 7 Bug Zapper 2008-05-14 05:57:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tom Horsley 2008-05-14 21:33:38 EDT
In addition, the progress bars lack detail. Am I downloading a 1 MB package
from the slowest repo in the universe, or am I downloading a 100MB open
office update? It would be nice to be able to tell so I could cancel
when I happened to get a slow repo and try again.
Comment 9 Richard Hughes 2008-05-20 04:56:16 EDT
There should only be one type of progress window in master.
Comment 10 Richard Hughes 2008-05-22 12:55:33 EDT
Can you review the ones we ave in 0.2.x please? I think they are much better and
should make you a lot happier. :-)
Comment 11 Valent Turkovic 2010-07-05 06:10:46 EDT
I don't see any progress bar in Fedora 12, only icons. Also I would LOVE to have "advanced" button so that is shows much detailed info (cli output).

Note You need to log in before you can comment on or make changes to this bug.